Package org.apache.tapestry5.beanmodel.internal.services

## Class LiteralPropertyConduit

- java.lang.Object
- - org.apache.tapestry5.beanmodel.internal.services.PropertyConduitDelegate
  - - org.apache.tapestry5.beanmodel.internal.services.LiteralPropertyConduit

- All Implemented Interfaces:
    `InternalPropertyConduit`, `PropertyConduit`, `PropertyConduit2`, `AnnotationProvider`

      public class LiteralPropertyConduit
      extends PropertyConduitDelegate
      implements InternalPropertyConduit

  A PropertyConduit for a literal value in an expression, such as a number, or "true", "false" or "null".

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `LiteralPropertyConduit​(TypeCoercer typeCoercer, java.lang.Class propertyType, AnnotationProvider annotationProvider, java.lang.String description, java.lang.Object value)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.Object` | `get​(java.lang.Object instance)` | Reads the property from the instance.
    `<T extends java.lang.annotation.Annotation> T` | `getAnnotation​(java.lang.Class<T> annotationClass)` | Searches for the specified annotation, returning the matching annotation instance.
    `java.lang.reflect.Type` | `getPropertyGenericType()` | Returns the generic type of the property
    `java.lang.String` | `getPropertyName()` | Returns the name of the property read or updated by the conduit or null.
    `java.lang.Class` | `getPropertyType()` | Returns the type of the property read or updated by the conduit.
    `void` | `set​(java.lang.Object instance, java.lang.Object value)` | Changes the current value of the property.
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class org.apache.tapestry5.beanmodel.internal.services.PropertyConduitDelegate

      `coerce, invert, range`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### LiteralPropertyConduit

          public LiteralPropertyConduit​(TypeCoercer typeCoercer,
                                        java.lang.Class propertyType,
                                        AnnotationProvider annotationProvider,
                                        java.lang.String description,
                                        java.lang.Object value)

  - ### Method Detail

    - #### get

          public java.lang.Object get​(java.lang.Object instance)

      Description copied from interface: `PropertyConduit`
      Reads the property from the instance.
      Specified by:
        `get` in interface `PropertyConduit`
      Parameters:
        `instance` - object containing the property
      Returns:
        the current value of the property

    - #### set

          public void set​(java.lang.Object instance,
                          java.lang.Object value)

      Description copied from interface: `PropertyConduit`
      Changes the current value of the property.
      Specified by:
        `set` in interface `PropertyConduit`
      Parameters:
        `instance` - object containing the property
        `value` - to change the property to

    - #### getPropertyType

          public java.lang.Class getPropertyType()

      Description copied from interface: `PropertyConduit`
      Returns the type of the property read or updated by the conduit.
      Specified by:
        `getPropertyType` in interface `PropertyConduit`

    - #### getPropertyGenericType

          public java.lang.reflect.Type getPropertyGenericType()

      Description copied from interface: `PropertyConduit2`
      Returns the generic type of the property
      Specified by:
        `getPropertyGenericType` in interface `PropertyConduit2`
      See Also:
        `Method.getGenericReturnType()`, `Field.getGenericType()`

    - #### getAnnotation

          public <T extends java.lang.annotation.Annotation> T getAnnotation​(java.lang.Class<T> annotationClass)

      Description copied from interface: `AnnotationProvider`
      Searches for the specified annotation, returning the matching annotation instance.
      Specified by:
        `getAnnotation` in interface `AnnotationProvider`
      Parameters:
        `annotationClass` - used to select the annotation to return
      Returns:
        the annotation, or null if not found

    - #### getPropertyName

          public java.lang.String getPropertyName()

      Description copied from interface: `InternalPropertyConduit`
      Returns the name of the property read or updated by the conduit or null. If the expression points to a property on a bean (e.g. user.name) this method returns the last property in the chain. Otherwise this method returns `null`.
      Specified by:
        `getPropertyName` in interface `InternalPropertyConduit`
      Returns:
        property name or `null`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`